TZSP2PCAP(1)

NAME
tzsp2pcap - listen for TZSP packets and output in pcap format

SYNOPSIS
tzsp2pcap [OPTIONS]

DESCRIPTION
tzsp2pcap is a simple utility to listen for TaZmen Sniffer Protocol (TZSP) packets and output the contents on stdout in pcap format. It has been tested with Mikrotik RouterOS products.

OPTIONS

-f  Output to stdout (flush mode)

-o FILE
    Output to specified file

-C SIZE
    Rotate file every SIZE bytes (e.g., 1000000 for 1MB)

-G SECONDS
    Create new file every SECONDS seconds

-z COMPRESSION
    Compress rotated files (e.g., gzip)

EXAMPLES
Output to wireshark:

    tzsp2pcap -f | wireshark -k -i -

Rotate file every 1MB:

    tzsp2pcap -o "file.pcap" -C 1000000

Create new file every 10 seconds:

    tzsp2pcap -o "file_%s.pcap" -G 10

Rotate and compress:

    tzsp2pcap -o "file.pcap" -C 1000000 -z gzip

AUTHOR
Andrew Childs <lorne@cons.org.nz>

SEE ALSO
wireshark(1), tcpdump(1)